//
//  GameOverScene.m
//  SpaceInvadersTutorial
//
//  Created by Barbara Köhler on 6/14/13.
//  Copyright (c) 2013 Barbara Köhler. All rights reserved.
//

#import "GameOverScene.h"
#import "Constants.h"
#import "AppDelegate.h"

@implementation GameOverScene

- (id)initWithSize:(CGSize)size score:(int64_t)score
{
    self = [super initWithSize:size];
    if (self) {
        SKSpriteNode* spaceShip = [SKSpriteNode spriteNodeWithImageNamed: kSpaceShipImage];
        spaceShip.position = CGPointMake(CGRectGetMidX(self.frame), self.frame.size.height * 0.7f);
        [self addChild:spaceShip];
        
        SKLabelNode* gameOverLabel = [SKLabelNode labelNodeWithFontNamed:@"Chalkduster"];
        gameOverLabel.text = @"Game Over";
        gameOverLabel.fontSize = 42;
        gameOverLabel.position = CGPointMake(CGRectGetMidX(self.frame), CGRectGetMidY(self.frame));
        [self addChild:gameOverLabel];
        
        /* Setup the score label */
        SKLabelNode* scoreLabel = [SKLabelNode labelNodeWithFontNamed:@"Chalkduster"];
        scoreLabel.text = [NSString stringWithFormat:@"%lld", score];
        scoreLabel.fontSize = 42;
        scoreLabel.position = CGPointMake(CGRectGetMidX(self.frame), CGRectGetMaxY(self.frame) - 100.0);
        [self addChild:scoreLabel];
    }
    return self;
}

-(void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {
    [((AppDelegate*)[[UIApplication sharedApplication] delegate]).navController popToRootViewControllerAnimated:YES];
}

@end
