//
//  MainScreenViewController.m
//  SpaceInvadersGameCenter
//
//  Created by Alvin Stanescu on 22.09.13.
//  Copyright (c) 2013 Alvin Stanescu. All rights reserved.
//

#import "MainScreenViewController.h"
#import "GCHelper.h"
#import "AppDelegate.h"
#import "MyScene.h"

@interface MainScreenViewController ()

@end

@implementation MainScreenViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    ((AppDelegate*)[[UIApplication sharedApplication] delegate]).navController = (UINavigationController*)self.parentViewController;
    [[GCHelper defaultHelper] authenticateLocalUserOnViewController:self setCallbackObject:self withPauseSelector:@selector(authenticationRequired)];
    [[GCHelper defaultHelper] registerListener:self];
    // Do any additional setup after loading the view from its nib.
}

- (void)authenticationRequired
{
    //if the game is open, it should be paused
    AppDelegate *appDelegate = [[UIApplication sharedApplication] delegate];
    if (appDelegate.gameScene) [appDelegate.gameScene pauseGame];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)showLeaderboard:(id)sender {
    [[GCHelper defaultHelper] showLeaderboardOnViewController:self];
}

- (IBAction)resetAchievements:(id)sender {
    [[GCHelper defaultHelper] resetAchievements];
}

// called when you complete a challenge sent by a friend
- (void)player:(GKPlayer *)player didCompleteChallenge:(GKChallenge *)challenge issuedByFriend:(GKPlayer *)friendPlayer
{
    #warning Exercise 5.1 - Log the challenge completion by the local player
}

// called when a friend completed a challenge issued by you
- (void)player:(GKPlayer *)player issuedChallengeWasCompleted:(GKChallenge *)challenge byFriend:(GKPlayer *)friendPlayer
{
    #warning Exercise 5.2 - Log the challenge completion by the friend
}

// called when you click on the challenge notification, while not playing the game
- (void)player:(GKPlayer *)player wantsToPlayChallenge:(GKChallenge *)challenge
{
    #warning Exercise 5.3 - Call the startPlaying segue to begin a new game
}

// called when you received a challenge while playing the game
- (void)player:(GKPlayer *)player didReceiveChallenge:(GKChallenge *)challenge
{
    #warning Exercise 5.4 - Present a UIAlertView asking the user if he wishes to take the challenge right now. Hint: Check UIAlertViewDelegate methods.
}


@end
